##### basic_file::basic_file (6 of 10 overloads)

Construct a `basic_file` without opening it.

    template<
        typename ExecutionContext>
    basic_file(
        ExecutionContext & context,
        const std::string & path,
        file_base::flags open_flags,
        constraint_t< is_convertible< ExecutionContext &, execution_context & >::value, defaulted_constraint >  = defaulted_constraint());

This constructor initialises a file and opens it.

###### Parameters

context

  An execution context which provides the I/O executor that the file will use, by default, to dispatch handlers for any asynchronous operations performed on the file.

path

  The path name identifying the file to be opened.

open_flags

  A set of flags that determine how the file should be opened.